KDE Kate no longer works with kio-slaves

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

KDE Kate no longer works with kio-slaves

Federico Giannici
After I upgraded from OpenBSD amd64 6.3 to 6.4 my KDE Kate program is no
longer able to open remote files (that is, to use kio-slaves).


When I try to open a remote (sftp:) file it says:

        kf5.kio.core: couldn't create slave: "klauncher said: Unknown protocol
'sftp'.\n"


I was able to open an "http:" file supplying it via command line, but
then it says:

        Non-native QFileDialog supports only local files


All other KDE programs (Dolphin, Okular, Gwenview, etc.) are still able
to correctly open "sftp:" urls, so the kio-slaves are correctly
installed and working.

I'd like to know if there is something bad in my system (maybe some
missing package, or a conflict with older versions?) or it is a (very
very important) limitation of the new Kate version.

Thanks.

Reply | Threaded
Open this post in threaded view
|

Re: KDE Kate no longer works with kio-slaves

Rafael Sadowski
On Sun Oct 21, 2018 at 11:01:47AM +0200, Federico Giannici wrote:
> After I upgraded from OpenBSD amd64 6.3 to 6.4 my KDE Kate program is no
> longer able to open remote files (that is, to use kio-slaves).
>
>
> When I try to open a remote (sftp:) file it says:

KIO sftp support is no more part from base KIO. It's a part of
x11/kde-applications/kio-extras which is not portet to OpenBSD yet.

Sorry for the bad news you will have to wait for 6.5 or follow -current.

Btw HTTPS, ftp still works with base KIO.

Rafael Sadowski